org.jetlang.remote.acceptor

## Class FiberPerSession

- java.lang.Object
- - org.jetlang.remote.acceptor.FiberPerSession

All Implemented Interfaces:
  NewSessionHandler

    public class FiberPerSession
    extends Object
    implements NewSessionHandler

### Nested Class Summary

Nested Classes
`static interface` `FiberPerSession.FiberFactory`

### Constructor Summary

Constructors
Constructor and Description
`FiberPerSession(NewFiberSessionHandler fact, FiberPerSession.FiberFactory fiberFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onNewSession(ClientPublisher publisher, JetlangSession jetlangSession)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FiberPerSession

    public FiberPerSession(NewFiberSessionHandler fact,
                           FiberPerSession.FiberFactory fiberFactory)

### Method Detail

#### onNewSession

    public void onNewSession(ClientPublisher publisher,
                             JetlangSession jetlangSession)

Specified by:
  `onNewSession` in interface `NewSessionHandler`